Results 1 to 4 of 4

Thread: how should i install glibc-2.1 32bit on opensuse11.2 64bit

  1. #1
    wanabeunknown NNTP User

    Question how should i install glibc-2.1 32bit on opensuse11.2 64bit

    hi,

    today I've got an application which is need glibc-2.1 32bit
    but my opensuse 11.2 is 64bit.
    I've checked the yast but nothing interesting catch my eyes.
    is there any solution to install glibc 2.1 32bit on a 64bit box?

    cheers.

  2. #2
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: how should i install glibc-2.1 32bit on opensuse11.2 64b

    Install the glibc-32bit package. Do not attempt to install glibc from a 32-bit repo as it may clash with the 64-bit glibc on a 64-bit platform.

  3. #3
    Join Date
    Jun 2008
    Location
    /dev/belgium
    Posts
    1,946

    Default Re: how should i install glibc-2.1 32bit on opensuse11.2 64b

    Yes it's easy. Go to YaST Software Management, search for glibc and install the glibc-32bit package

    Normally, glibc is backwards compatible meaning that if you compile an application with glibc version 2.1 and then run it under, for example, glibc 2.3 (or higher), it should work without problems. However, if you compile it with version 2.3 and try to run it on a system which has version 2.1, it won't work as glibc isn't forwards compatible for obvious reasons

  4. #4
    Join Date
    Apr 2009
    Location
    South Africa , Johannesburg
    Posts
    6

    Default Re: how should i install glibc-2.1 32bit on opensuse11.2 64bit

    Running 11.3 milestone 5
    Cannot get the latest glibc-2.8.90 installed as per "software search"
    Keeps on reverting back to 2.11
    Any advice - thank you in advance

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •